vala-tests r24 - trunk/tests/bugs



Author: malureau
Date: Sat Oct 18 15:37:08 2008
New Revision: 24
URL: http://svn.gnome.org/viewvc/vala-tests?rev=24&view=rev

Log:
Add bug 434507 test

Added:
   trunk/tests/bugs/434507.test   (contents, props changed)
   trunk/tests/bugs/434507.vala

Added: trunk/tests/bugs/434507.test
==============================================================================
--- (empty file)
+++ trunk/tests/bugs/434507.test	Sat Oct 18 15:37:08 2008
@@ -0,0 +1,33 @@
+#!/bin/sh
+
+set -e
+
+SRCDIR=../tests/bugs
+
+if [ "x$VALAC" = "x" ] ; then
+  VALAC=valac
+  SRCDIR=.
+fi
+
+while true ; do
+    case "$1" in
+	--interact) INTERACT=1 ; shift ;;
+	--) shift ; break ;;
+	*) break ;;
+    esac
+done
+
+TESTNAME=`basename $0 .test`
+
+  $VALAC  -o $TESTNAME $SRCDIR/$TESTNAME.vala  $VALAFLAGS
+
+true || exit 1
+
+if [ "x1" = "x1" -o "x$INTERACT" = "x1" ] ; then
+  G_DEBUG=fatal_warnings ./$TESTNAME  $@
+else
+  echo ""
+  [ "x1" = "x0" ] && echo "*** WARNING: This vala test is interactive and will not be run (try --interact) ***"
+  [ "x1" = "xno" ] && rm -rf 434507.o
+fi
+

Added: trunk/tests/bugs/434507.vala
==============================================================================
--- (empty file)
+++ trunk/tests/bugs/434507.vala	Sat Oct 18 15:37:08 2008
@@ -0,0 +1,5 @@
+static void main() {
+	uchar b;
+	if (b > 0) {
+    }
+}
\ No newline at end of file



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]